com.lowagie.text.rtf.list

## Class RtfPictureList

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.list.RtfPictureList

- All Implemented Interfaces:
    RtfBasicElement, RtfExtendedElement, RtfElementInterface

      public class RtfPictureList
      extends RtfElement
      implements RtfExtendedElement

  The RtfPictureList2 manages the pictures for lists.
  Since:
    2.1.3
  Version:
    $Id$
  Author:
    Howard Shank (hgshank@yahoo.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static byte[]` | `LIST_LEVEL_PICTURE` Constant for determining which picture bullet from the \listpicture destination that should be applied.

    - ### Fields inherited from class com.lowagie.text.rtf.RtfElement

      `document, inHeader, inTable`

    - ### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfPictureList(RtfDocument doc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeContent(java.io.OutputStream out)` Writes the element content to the given output stream.
    `void` | `writeDefinition(java.io.OutputStream result)` Write the definition part of the element

    - ### Methods inherited from class com.lowagie.text.rtf.RtfElement

      `intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `setInHeader, setInTable, setRtfDocument`

- - ### Field Detail

    - #### LIST_LEVEL_PICTURE

          private static final byte[] LIST_LEVEL_PICTURE

      Constant for determining which picture bullet from the \listpicture destination that should be applied.

  - ### Constructor Detail

    - #### RtfPictureList

          public RtfPictureList(RtfDocument doc)

  - ### Method Detail

    - #### writeContent

          public void writeContent(java.io.OutputStream out)
                            throws java.io.IOException

      Description copied from class: `RtfElement`
      Writes the element content to the given output stream.
      Specified by:
        `writeContent` in interface `RtfBasicElement`
      Specified by:
        `writeContent` in class `RtfElement`
      Parameters:
        `out` - The `OutputStream` to write the content to
      Throws:
        `java.io.IOException`

    - #### writeDefinition

          public void writeDefinition(java.io.OutputStream result)
                               throws java.io.IOException

      Description copied from interface: `RtfExtendedElement`
      Write the definition part of the element
      Specified by:
        `writeDefinition` in interface `RtfExtendedElement`
      Parameters:
        `result` - The `OutputStream` to write the element definition to
      Throws:
        `java.io.IOException`